Newscoop 4 for Journalists and Editors

System requirements

If you are upgrading a previous installation of Newscoop, please read the chapter Backup and upgrade before you begin.

Newscoop can be installed on any standard GNU/Linux distribution which can provide the Apache web server and PHP 5.3 or later. These distributions include Debian 6.0 (Squeeze), Ubuntu 10.04 LTS (Lucid), and Red Hat Enterprise 6.2 (Santiago). Installation instructions for these supported distributions are in the following chapters. Generic installation instructions are in the Manual installation chapter.

A MySQL server must be available for Newscoop to use, although this need not be installed on the same server as Newscoop itself. See the chapter MySQL installation for details.

Installation of a mail server, such as Postfix, is optional, because Newscoop can be configured to send notification emails via a remote SMTP server. This setting is mentioned in the chapter System preferences.

After Newscoop is installed for the first time, a browser wizard enables you to set database connection parameters and the default administrator password. This wizard is covered in the chapter Installation steps.